 <?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$can=mysqli_query($con,"SELECT * FROM cliente c, cliente_venta_temp cv where c.clie_id=cv.cvt_clie_id and cv.empresa='$empresa' and usuario='$usu_id' and c.clie_nombre<>'CLIENTE MOSTRADOR'") or die(mysqli_error($con)); 
if($dato=mysqli_fetch_array($can))
{ 
    $clie_id=$dato['clie_id'];
    $clie_cc=$dato['clie_cc'];
    $clie_nombre=$dato['clie_nombre'];
    $clie_direccion=$dato['clie_direccion'];
    $clie_disponible=$dato['clie_disponible'];
    $clie_nota_credito=$dato['clie_nota_credito'];
    $clie_puntos=$dato['clie_puntos'];

    $tarifas_tar_id=$dato['tarifas_tar_id'];
    $datos=mysqli_query($con,"SELECT * FROM tarifas where tar_id='$tarifas_tar_id'") ;
    $fila=mysqli_fetch_array($datos);
    $tar_nombre=$fila['tar_nombre'];
    if($tar_nombre=='ASESOR')
    {
        $icon= '<i class="btn-icon-only fa fa-check-circle alert-info" aria-hidden="true"></i>';
    }
    else
    {
        $icon= '';
    }

     if($dato['facturador']=='si')
    {
         $facturador= '<i class="btn-icon-only fa fa-desktop alert-danger" aria-hidden="true"></i>';
    }
    else
    {
         $facturador= '';
    }
?>
<div class="media-main">
    <div class="">
        <h3><strong><?php echo $clie_nombre; ?></strong> <?php echo $icon; ?> <?php echo $facturador; ?> </h3>
        <p class="text-muted"><?php echo $clie_cc; ?> - <?php echo $clie_direccion; ?></p>
        <div class="btn-group btn-group-justified btn-group-sm ">
            <?php
            if ($puntos=='si') 
            { ?>
            <a data-id="<?php echo $dato['clie_id'];?>" class="btn btn-punto btn-info" >REDIMIR PUNTOS</a>
            <?php } ?>
            <a data-id="<?php echo $dato['clie_id'];?>" class="btn btn-edit_cli btn-warning" title="Actualizar Cliente">EDITAR</a>
            <a href="#" id="delete_customer" onclick="eliminar('<?php echo $dato['clie_id'];?>');" class="btn btn-danger">QUITAR</a>
        </div>
        
        <input type="hidden" value="<?php echo $clie_nombre; ?>" href="#buscarcliente"  class="form-control input-sm"   >
        <?php
        if ($puntos=='si') 
        { ?>
        <div style="font-size:15px;padding-top:3px; padding-bottom: 3px;"><strong class="text-info">PUNTOS: <?php echo $clie_puntos; ?></strong></div>
        <?php } ?>
 
        <div style="font-size:15px;padding-top:3px; padding-bottom: 3px;background-color:#F3F2F2;"><strong >CUPO DE CREDITO  </strong> <strong class="text-danger"><span class="pull-right">$ <?php echo number_format($clie_disponible,0); ?></span></strong></div>
        <div style="font-size:15px;padding-top:3px; padding-bottom: 3px;"><strong >NOTA CREDITO</strong><strong class="text-danger"><span class="pull-right">$ <?php echo number_format($clie_nota_credito,0); ?></span></strong></div>



               
        <div style="font-size:11px;background-color:#F3F2F2;padding-top:3px; padding-bottom: 3px;"><a href="#" onclick="cargarInfo(<?php echo $clie_id; ?>)"><center><strong><i class="btn-icon-only fa fa-search alert-info" aria-hidden="true"></i>SALDO PENDIENTE</strong></center></a></div>
        <div id="div_cartera"></div>


<script>
function cargarInfo(id) {
    fetch('php_facturar/info_saldo.php?clie_id=' + id)
        .then(response => response.text())
        .then(data => {
            document.getElementById('div_cartera').innerHTML = data;
        })
        .catch(error => {
            document.getElementById('div_cartera').innerHTML = 'Error al cargar la información.';
        });
}
</script>
    </div>
</div>  
<?php } 
else
{
    $can=mysqli_query($con,"SELECT * FROM cliente where clie_destacado='si' and empresa='$empresa'") or die(mysqli_error($con)); 
    $row=mysqli_fetch_array($can);
    $clie_id=$row['clie_id'];
    $clie_nombre=$row['clie_nombre'];
?>
<div class="media-main">
    <h3><strong><?php echo $clie_nombre; ?></strong></h3>
</div>
</br></br>
<div class="btn-group btn-group-justified btn-group-sm">
    <a  data-toggle="modal" data-target="#nuevocliente" class="btn btn-success" title="Actualizar Cliente"  accesskey="n" title="alt + n">NUEVO</a>
    <a href="#" data-toggle="modal" data-target="#myModal_cliente" accesskey="b" title="alt + b" class="btn btn-info">BUSCAR</a>
</div>
        
<?php } ?>
<script>
    $(".btn-edit_cli").click(function(){
        id = $(this).data("id");
        $.get("./php_clientes/form_modificar_cliente_ven.php","id="+id,function(data){
            $("#cli-edit").html(data);
        });
        $('#edit_cliente').modal('show');
    });
</script>

<div class="modal fade" id="edit_cliente" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Modificar Cliente</h4>
            </div>
            <div id="cli-edit"></div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->



<!------ modal para los puntos ------>
<script>
    $(".btn-punto").click(function(){
        id = $(this).data("id");
        $.get("php_facturar/form_puntos_redimir.php","id="+id,function(data){
            $("#cli-puntos").html(data);
        });
        $('#puntos_clie').modal('show');
    });
</script>

<div class="modal fade" id="puntos_clie" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div id="cli-puntos"></div>
</div><!-- /.modal -->
<!--------------------------------------------------------------------------------------->
<?php include('../php_clientes/form_nuevo_cliente.php'); ?>
<script type="text/javascript">
function eliminar(id)
{
    var q=$("#q").val();
    if (confirm("Realmente deseas Quitar el Cliente")){ 
    $.ajax({
        type: "GET",
        url: "php_facturar/cancelar.php",
        data: "id="+id,"q":q,
    beforeSend: function(objeto){
    $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
      },
    success: function(datos){
    $("#resultados").html(datos);
    }
    });
    loadTabla();
    loadcliente();
    loadtotal();
    loadbotones();
    limpiar_campos();
    limpiar_buscador()
    load(1);
    }
}


//registrar cliente
$( "#nuevo_clie" ).submit(function( event ) {
$('#btn_cliente').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_clientes/registrar_cliente_ventas.php",
    data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cliente').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resultados_cliente").html(datos);
    $('#btn_cliente').attr("disabled", false);
    $('#nuevocliente').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    loadTabla();
    loadcliente();
    loadtotal();
    loadbotones();
    limpiar_campos();
    limpiar_buscador()
    load(1);
     }
});
event.preventDefault();
})    
</script>